package org.xj4.lifecycle;

import java.lang.annotation.*;

/**
 * Marks a lifecycle as requiring other managed fields.
 *
 * @author Jared Bunting 
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Inherited
public @interface Requires {
  Class<?>[] value() default { };
}
